Error installing android app from DEV environment

Error installing android app from DEV environment

  
Hi there,

I need to install an apk from DEV environment in an android device and I keep receiving the following error "there is an error parsing the package".

Some useful informations:
-> the device already accepts unknown sources;
-> this error already happened in production;
-> DEV environment is not exposed to internet only intranet;
-> android version, 4.4.2 but the error happened in other android versions in production.

What can originate this error and how can I successful generate and install apk?

Best regards.

Hello RFeitor.

Have you tried to generate the apk again and check in Service Center if you can find any errors during the generation?

Typically, the parse error occurs while installing an Android app and the causes can be different.

  • Parse error can occur if you have made changes to the app’s manifest file like changing the Android version (doesn't seem the case since you don't have that control here).
  • It can also occur due to a corrupted .apk file or may because of a partially downloaded apk file.
  • Not enough permission to install third-party apps from unknown sources.
  • Your Android smartphone OS version or the hardware is not compatible with the app.
  • A third-party security application is blocking the app installation.

After analyzing these issues you can also enable USB Debugging on your Android Device and try to debug it to find the root cause of this issue.

Hope it helps and let us know your findings.

Cheers,

GM

Hello RFeitor.

Were you able to fix this issue? This can be useful for other community members, so please give us some feedback about the possible fix for it, or at least your findings.

Cheers,

GM



Hey,

Regarding the causes indicated above, I didn't change app's manifest file but during development app's name was changed. To successfully debug the installation I used another mobile, with a greater android version, with the same outcome.

Using USB debugging, this is the error obtained during installation.


Regards.